package com.zxbw.modulemain.contract

import com.zxhl.cms.net.model.qy.JgqQyEntity
import com.zxhl.cms.net.model.qy.TbGoodsItemEntity

/**
 * 推荐
 *
 */
class HomeRecommendContract {
    interface View {
        fun setQyCardList(result: List<JgqQyEntity>?)

        fun setTbGoodsList(isRefresh: Boolean, result: List<TbGoodsItemEntity>?)

//        fun setGuessLikeGoodsList(isRefresh: Boolean, result: List<TbGoodsItemEntity>?)
    }

    interface Presenter {
        fun getQyCardList(tabName: String)

        fun getTbGoodsList(isRefresh: Boolean, cate: String)

        fun getGuessLikeGoodsList(isRefresh: Boolean)
    }
}